## Apache Zeta Components Manual :: Docs For Class ezcReflectionAnnotationFactory

### Reflection::ezcReflectionAnnotationFactory

### Class ezcReflectionAnnotationFactory

Creates a ezcReflectionAnnotation object be the given annotation

Source for this file: /Reflection/src/annotation_factory.php

Version: | //autogen//

### Method Summary

public static ezcReflectionAnnotation | `createAnnotation( $type , $line )`

### Methods

#### createAnnotation

static ezcReflectionAnnotation createAnnotation( string $type , string[] $line )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$line` | string[] | array of words

Documentation generated by phpDocumentor 1.4.3